These are the minimum system requirements. Actual requirements will vary depending on the nature of your environment. McAfee Data Center Security Suite for Databases includes the following products.

McAfee Database Activity Monitoring/McAfee Virtual Patching for Databases

Standalone Management Server Operating System

  • Minimum 8GB RAM, Recommended: 16GB RAM
  • 1 GB free disk space
  • Microsoft Windows 2012, Microsoft Windows 2012 R2 or Microsoft Windows 2016 or Microsoft Windows 2019 or Red Hat Linux 7 and later, or SUSE Linux 11.4, 12.2 and later, or CentOS 7 and later, or Oracle Enterprise Linux 6 and later.

Backend Database

  • Minimum 8GB RAM, Recommended: 16GB RAM
  • Alert Storage on Backend: Minimum 250GB
  • Alert Storage non-local (SIEM, Syslog etc.): 5-10GB
  • Microsoft SQL Server 2008 up to 2016, or Oracle 11g and later

Browser (for management access)

  • Firefox v53 and later
  • Microsoft Internet Explorer 11.0 and later
  • Chrome v56 and later

Supported Databases for Monitoring*

  • Oracle version 11.2.0.1 and later, running on Sun Solaris, IBM AIX, Linux, HP-UX, Microsoft Windows
  • Microsoft SQL 2008 and later on any supported Windows platform
  • IBM DB2 LUW 10.x, and later
  • Sybase ASE 15.7 and later on all supported platforms
  • Teradata 12, 13, 13.10, 14,15, and 15.1 on Linux
  • MySQL 5.6, 5.7 and 8.0 on Linux
  • MariaDB version 5.5 (5.5.32 and later), 10.0, 10.1 and 10.2 on Linux
  • IBM DB2 for Z/OS with CorreLog
  • IBM DB2 for iSeries (AS/400) with Raz-Lee
  • SAP HANA SPS 09, Revision 91 and later
  • PostgreSQL 9.3 and later on Linux
  • MongoDB 3.0 and later

*For exact details on supported database versions and their supported platforms please contact McAfee Technical Support.

McAfee Vulnerability Manager for Databases

Standalone Management Server Operating System

  • Minimum 8GB RAM, Recommended: 16GB RAM
  • 1 GB free disk space
  • Microsoft Windows 2012, Microsoft Windows 2012 R2 or Microsoft Windows 2016 or Microsoft Windows or 2019 Red Hat Linux 7 and later, or SUSE Linux 11.4, 12.2 and later, or CentOS 7 and later, or Oracle Enterprise Linux 6 and later.

Backend Database

  • Minimum: 8GB RAM, Recommended: 16GB RAM
  • Alert Storage on Backend: Minimum 250GB
  • Alert Storage non-local (SIEM, Syslog etc.): 5-10GB
  • Microsoft SQL Server 2008 up to 2016, or Oracle 11g and later

Browser (for management access)

  • Firefox v53 and later
  • Microsoft Internet Explorer 11.0
  • Chrome v56 and later

Compatible Databases for Scanning

  • Oracle 11.2.0.1 and later
  • Microsoft SQL 2008 and later
  • IBM DB2 10.x or later for Linux, Unix, and Windows
  • MySQL version 5.6 or later (separate driver download required)
  • PostgreSQL version 9.3 or later
  • Sybase ASE version 15.7 or later (separate driver download required)
  • SAP HANA v1 and later
  • Teradata v12, v13, v14 — Database discovery, sensitive data discovery, custom checks, and password cracking
  • Informix v10.0, v11.1, v11.5, v11.7 — Database discovery, sensitive data discovery and custom checks

*For exact details on supported database versions and their supported platforms please contact McAfee Technical Support.